Package opennlp.tools.chunker

## Class ChunkSampleSequenceStream

- java.lang.Object
- - opennlp.tools.chunker.ChunkSampleSequenceStream

- All Implemented Interfaces:
    `AutoCloseable`, `SequenceStream`, `ObjectStream<Sequence>`

      public class ChunkSampleSequenceStream
      extends Object
      implements SequenceStream

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChunkSampleSequenceStream​(ObjectStream<ChunkSample> samples, ChunkerContextGenerator contextGenerator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the `ObjectStream` and releases all allocated resources.
    `Sequence` | `read()` | Returns the next object.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.
    `Event[]` | `updateContext​(Sequence sequence, AbstractModel model)` | Creates a new event array based on the outcomes predicted by the specified parameters for the specified sequence.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkSampleSequenceStream

          public ChunkSampleSequenceStream​(ObjectStream<ChunkSample> samples,
                                           ChunkerContextGenerator contextGenerator)

  - ### Method Detail

    - #### read

          public Sequence read()
                        throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<Sequence>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### updateContext

          public Event[] updateContext​(Sequence sequence,
                                       AbstractModel model)

      Description copied from interface: `SequenceStream`
      Creates a new event array based on the outcomes predicted by the specified parameters for the specified sequence.
      Specified by:
        `updateContext` in interface `SequenceStream`
      Parameters:
        `sequence` - The sequence to be evaluated.
      Returns:
        event array

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<Sequence>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<Sequence>`
      Throws:
        `IOException` - if there is an error during closing the stream